<?php

/**
 * logindenied.php
 *
 * @package simpleSAMLphp
 * @version $Id$
 */

if (!array_key_exists('StateId', $_REQUEST)) {
	throw new SimpleSAML_Error_BadRequest('Missing required StateId query parameter.');
}

$id = $_REQUEST['StateId'];

// sanitize the input
$sid = SimpleSAML_Utilities::parseStateID($id);
if (!is_null($sid['url'])) {
	SimpleSAML_Utilities::checkURLAllowed($sid['url']);
}

$state = SimpleSAML_Auth_State::loadState($id, 'restrictLogin:RestrictLogin');

$globalConfig = SimpleSAML_Configuration::getInstance();

$t = new SimpleSAML_XHTML_Template($globalConfig, 'restrictLogin:logindenied.php');
$t->data['destination_sp_entityid'] = $state['destination_sp_entityid'];
$t->data['associated_sp_entityid'] = $state['associated_sp_entityid'];
$t->show();

?>
